FROM ubuntu:20.04
MAINTAINER Magnetar Web Development

ENV TZ=Europe/Warsaw
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

RUN apt update 
RUN apt dist-upgrade --allow-unauthenticated -y && export LANG=C.UTF-8

RUN apt install --allow-unauthenticated -y \
		apt-transport-https \
        mc \
        vim \
        curl \
        wget \
        gnupg \
        sudo \
        git-core \
        zlib1g

RUN curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
RUN echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list

RUN apt update 
RUN apt dist-upgrade --allow-unauthenticated -y

RUN apt install --allow-unauthenticated -y \
        apache2 \
        php7.4 \
        php7.4-mysql \
        php7.4-xml \
        php7.4-zip \
        php7.4-gd \
        php7.4-iconv \
        php7.4-simplexml \
        php7.4-xmlreader \
        php7.4-mbstring \
        php7.4-soap \
        yarn \
        nodejs \
        npm \
	&& rm -r /var/lib/apt/lists/* \
	&& apt clean

RUN npm install -g n
RUN n 12.14
RUN npm install

RUN php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');" \
    && php composer-setup.php \
    && php -r "unlink('composer-setup.php');" \
    && mv composer.phar /usr/bin/composer

WORKDIR /app

RUN /etc/init.d/apache2 stop
RUN a2enmod rewrite
ADD vhost.conf /etc/apache2/sites-available/000-default.conf
CMD /usr/sbin/apache2ctl -D FOREGROUND -f /etc/apache2/apache2.conf
